# global.R

library(shiny)

################################
#### ecoval config          ####
################################
# OPT, re-use already existing JSON config.cfg; cf. in utils/package_manager.R:
#    config <- jsonlite::fromJSON(file.path(appwd, "utils/config.cfg"))
# to avoid override of base::get/merge don't load explicitly:
#library(config)
.app.config = config::get()

################################
#### shiny-directory-input  ####
################################
source('directoryInput.R')

################################
#### ecoval UI messages     ####
################################
source("uiText.R", local=TRUE)

################################
#### ecoval API wrappers    ####
################################
source("ecovalAPI.R", local=TRUE)
